petsc-3.4.2 2013-07-02

# SNESLineSearchGetMonitor

Gets the PetscViewer instance for the line search monitor.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetMonitor(SNESLineSearch linesearch, PetscViewer *monitor)

### Input Parameters

linesearch -linesearch context

### Input Parameters

monitor -monitor context

Logically Collective on SNES

### Options Database Keys

-snes_linesearch_monitor -enables the monitor

### See Also

SNESLineSearchSetMonitor(), PetscViewer

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages